{ pkgs ? import <nixpkgs> {} }:

let
  _pkgs = import (pkgs.fetchFromGitHub {
    owner = "NixOS";
    repo = "nixpkgs";
    rev = "234a24cbeb66f70afaab9f13a5a9973c2fb956e0"; # LTS 12.10
    sha256 = "1n0n6dwyllkddl4nxjhkr1cq7mpk786dsr6v36589c7flj8inbwf";
  }) {};
  inherit (_pkgs) haskellPackages haskell buildEnv;
  pkg = import ./default.nix { inherit haskellPackages haskell; };
  shell = buildEnv {
    name = "shell";
    paths = [];
    buildInputs = [
      _pkgs.binutils-unwrapped
      haskellPackages.ghcid
      haskellPackages.hasktags
      haskellPackages.cabal-install
      (haskellPackages.ghcWithHoogle (_: pkg.buildInputs ++ pkg.propagatedBuildInputs))
    ];
  };

in

{
  "rauhala-api" = pkg;
  "shell" = shell;
}
